%global kodi_addon pvr.iptvsimple
%global kodi_version 19.0
%global codename Matrix

Name:           kodi-%(tr "." "-" <<<%{kodi_addon})
Version:        19.0.3
Release:        %mkrel 1
Summary:        Simple IPTV PVR for Kodi
Group:          Video/Players
License:        GPLv2+
URL:            https://github.com/kodi-pvr/%{kodi_addon}/
Source0:        https://github.com/kodi-pvr/pvr.iptvsimple/archive/%{version}-%{codename}/%{name}-%{version}-%{codename}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kodi-addon-devel >= %{kodi_version}
BuildRequires:  pkgconfig(p8-platform)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblzma)
Requires:       kodi >= %{kodi_version}

%description
%{summary}.

%prep
%autosetup -n %{kodi_addon}-%{version}-%{codename} -p1

# Remove bundles rapidxml
rm -rf depends/common/rapidxml

%build
%cmake \
    -DCMAKE_CXX_FLAGS="%{optflags} -pthread" \
    -DCMAKE_C_FLAGS="%{optflags} -pthread"
%cmake_build

%install
%cmake_install

%files
%doc README.md %{kodi_addon}/changelog.txt
%{_libdir}/kodi/addons/%{kodi_addon}/
%{_datadir}/kodi/addons/%{kodi_addon}/



%changelog
* Sat Jan 01 2022 kekepower <kekepower> 19.0.3-1.mga8
+ Revision: 1765919
- Update to version 19.0.3 (mga#29837)
- Update to version 7.6.5 (mga#28955)

* Sat Dec 05 2020 kekepower <kekepower> 7.1.0-1.mga8
+ Revision: 1653088
- Update to version 7.1.0

* Sun Nov 15 2020 kekepower <kekepower> 7.0.0-1.mga8
+ Revision: 1646442
- Update to version 7.0.0

* Thu Oct 08 2020 kekepower <kekepower> 6.4.1-1.mga8
+ Revision: 1632841
- Update to version 6.4.1
- Update to version 6.4.0

* Sat Sep 26 2020 kekepower <kekepower> 6.3.1-1.mga8
+ Revision: 1630679
- Update to version 6.3.1

* Sat Jul 25 2020 kekepower <kekepower> 6.2.4-1.mga8
+ Revision: 1608938
- Update to version 6.2.4

* Fri Jul 17 2020 kekepower <kekepower> 6.2.3-1.mga8
+ Revision: 1606757
- Update to version 6.2.3

* Sun Jun 28 2020 kekepower <kekepower> 6.2.1-1.mga8
+ Revision: 1600123
- Update to version 6.2.1

* Thu Jun 25 2020 kekepower <kekepower> 6.2.0-1.mga8
+ Revision: 1599287
- Update to version 6.2.0

* Mon Jun 15 2020 kekepower <kekepower> 6.0.1-1.mga8
+ Revision: 1593425
- Update to version 6.0.1

* Fri Jun 12 2020 kekepower <kekepower> 5.2.0-1.mga8
+ Revision: 1593035
- Update to version 5.2.0

* Mon Jun 01 2020 kekepower <kekepower> 5.1.0-1.mga8
+ Revision: 1589606
- Update to version 5.1.0

* Tue May 26 2020 kekepower <kekepower> 5.0.0-1.mga8
+ Revision: 1587707
- Update to version 5.0.0

* Sat May 16 2020 kekepower <kekepower> 4.14.2-1.mga8
+ Revision: 1584709
- Update to version 4.14.2

* Tue May 05 2020 kekepower <kekepower> 4.14.1-1.mga8
+ Revision: 1580608
- Update to version 4.14.1

* Mon May 04 2020 kekepower <kekepower> 4.14.0-1.mga8
+ Revision: 1579637
- Update to version 4.14.0

* Wed Apr 29 2020 kekepower <kekepower> 4.13.5-1.mga8
+ Revision: 1573128
- Update to version 4.13.5

* Mon Apr 27 2020 kekepower <kekepower> 4.13.4-1.mga8
+ Revision: 1572436
- Update to version 4.13.4

* Thu Apr 23 2020 kekepower <kekepower> 4.13.2-1.mga8
+ Revision: 1571466
- Update to version 4.13.2-Matrix

* Thu Feb 20 2020 umeabot <umeabot> 3.8.8-3.mga8
+ Revision: 1547284
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 wally <wally> 3.8.8-2.mga8
+ Revision: 1487812
- build with new cmake macros

* Sat Nov 30 2019 kekepower <kekepower> 3.8.8-1.mga8
+ Revision: 1463841
- Update to version 3.8.8

* Fri Nov 22 2019 kekepower <kekepower> 3.8.7-1.mga8
+ Revision: 1462045
- Update to version 3.8.7

* Mon Oct 28 2019 kekepower <kekepower> 3.8.5-1.mga8
+ Revision: 1456272
- Update to version 3.8.5

* Mon Sep 30 2019 kekepower <kekepower> 3.8.3-1.mga8
+ Revision: 1448520
- Update to version 3.8.3

* Tue Aug 27 2019 kekepower <kekepower> 3.7.2-1.mga8
+ Revision: 1434497
- Update to version 3.7.2

* Wed Aug 21 2019 kekepower <kekepower> 3.6.0-1.mga8
+ Revision: 1430725
- imported package kodi-pvr-iptvsimple

